<?php

/*
Plugin Name: AppAware Android App Widget
Plugin URI: http://appaware.com/widgets
Description: The AppAware Android App Widget allows to easily add Android App details to blog-posts through a minimalistic and easy-to-use HTML widget.
Version: 1.1
Author: AppAware team
Author URI: http://appaware.com
*/

class AppAwareAppShortcode {
    static $add_script;

    static function init() {
        add_shortcode('appaware-app', array(__CLASS__, 'add_appaware_app'));
        add_action('admin_menu', array(__CLASS__, 'appaware_options_box'));


        add_action('init', array(__CLASS__, 'register_script'));
        add_action('wp_footer', array(__CLASS__, 'print_script'));
    }

    static function add_appaware_app($atts) {

        self::$add_script = true;

        extract(shortcode_atts(array('pname' => '', 'qrcode' => 'true', 'users' => '0', 'name' => ''), $atts));

        $qrcode_text = '';
        if ($qrcode == 'false'){
            $qrcode_text = '';
        }else{
            $qrcode_text = 'data-qrcode="true"';
        }

        $users_text = '';
        if (intval($users) > 0){
            $users_text = 'data-users="' . $users . '"';
        }

        if ($name == ''){
            $name = 'Android App ' . $pname . ' on AppAware';
        }else{
            $name .= ' on AppAware';
        }

        if ($pname != ''){
            return '<div class="appaware-app" ' . $qrcode_text . ' ' . $users_text .'><a href="http://appaware.com/app/' . $pname . '">' . $name . '</a></div>';
        }else{
            return "";
        }
    }

    static function appaware_options_box() {
        add_meta_box('appaware_options', 'AppAware Android App Widget', array(__CLASS__, 'appaware_options_display'), 'post', 'side', 'high');
    }

    static function appaware_options_display() {

        $example = "[appaware-app pname='com.whatsapp' name='WhatsApp' qrcode='true' users='8']";

        echo '<p><label>How to use the AppAware App Widget:</label>
         <ol>
           <li>
               <label for="appaware_package">Copy the <b>shortcode</b> below and paste in your blog post:</label>
               <input type="text" name="appaware_package" value="' . $example . '" style="width:100%"></input>
           </li>
            <li>
               Choose which app to display by changing the <b>pname</b> parameter (e.g. com.whatsapp)
            </li>
            <li>
               Adjust the <b>name</b> for the app you chose (e.g. WhatsApp, good for SEO)
            </li>
            <li>
               Choose whether to display the QRCode for this app (<b>qrcode</b> = true | false)
            </li>
            <li>
               Choose the number of users to show (e.g. <b>users</b>=8, omit for none)
            </li>

        </ol>
    </p>

    More widgets: <ul><li><a href="http://appaware.com/widgets" target="_blank">http://appaware.com/widgets</a></li><li><a href="http://playboard.me/widgets" target="_blank">http://playboard.me/widgets</a></li></ul>';

    }


    static function register_script() {
        wp_register_script('aa-js','http://appaware.com/widgets/aa.js', null, null, false);
    }

    static function print_script() {
        if ( ! self::$add_script )
            return;

        wp_print_scripts('aa-js');
    }
}

AppAwareAppShortcode::init();

?>